Package org.postgresql.core

# Class SqlCommand

java.lang.Object
org.postgresql.core.SqlCommand

public class SqlCommand extends Object
Data Modification Language inspection support.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SqlCommand`
  `BLANK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SqlCommand`
  `createStatementTypeInfo(SqlCommandType type)`
  `static SqlCommand`
  `createStatementTypeInfo(SqlCommandType type, boolean isRETURNINGkeywordPresent)`
  `static SqlCommand`
  `createStatementTypeInfo(SqlCommandType type, boolean isBatchedReWritePropertyConfigured, int valuesBraceOpenPosition, int valuesBraceClosePosition, boolean isRETURNINGkeywordPresent, int priorQueryCount)`
  `int`
  `getBatchRewriteValuesBraceClosePosition()`
  `int`
  `getBatchRewriteValuesBraceOpenPosition()`
  `SqlCommandType`
  `getType()`
  `boolean`
  `isBatchedReWriteCompatible()`
  `boolean`
  `isReturningKeywordPresent()`
  `boolean`
  `returnsRows()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BLANK

    public static final SqlCommand BLANK

- ## Method Details

  - ### isBatchedReWriteCompatible

    public boolean isBatchedReWriteCompatible()

  - ### getBatchRewriteValuesBraceOpenPosition

    public int getBatchRewriteValuesBraceOpenPosition()

  - ### getBatchRewriteValuesBraceClosePosition

    public int getBatchRewriteValuesBraceClosePosition()

  - ### getType

    public SqlCommandType getType()

  - ### isReturningKeywordPresent

    public boolean isReturningKeywordPresent()

  - ### returnsRows

    public boolean returnsRows()

  - ### createStatementTypeInfo

    public static SqlCommand createStatementTypeInfo(SqlCommandType type, boolean isBatchedReWritePropertyConfigured, int valuesBraceOpenPosition, int valuesBraceClosePosition, boolean isRETURNINGkeywordPresent, int priorQueryCount)

  - ### createStatementTypeInfo

    public static SqlCommand createStatementTypeInfo(SqlCommandType type)

  - ### createStatementTypeInfo

    public static SqlCommand createStatementTypeInfo(SqlCommandType type, boolean isRETURNINGkeywordPresent)